/* Project Setting */
#define SYS_KERNEL_START_ADDR	0xBFC60000
#define SYS_KERNEL_MTDBLK     "/dev/mtdblock6"
#define SYS_KERNEL_MTD 			"/dev/mtd6"
#define IMG_LOWER_BOUND			2.8 * 1024 * 1024
#define IMG_UPPER_BOUND			4 * 1024 * 1024
#define FW_KERNEL_BUF_SIZE		0xC0000
#define SYS_ROOTFS_MTDBLK     "/dev/mtdblock7"
#define SYS_ROOTFS_MTD        "/dev/mtd7"
#define FW_ROOTFS_BUF_SIZE		0x185000
#define FW_BUF_SIZE				FW_KERNEL_BUF_SIZE + FW_ROOTFS_BUF_SIZE	
#define SYS_MAC_MTDBLK			"/dev/mtdblock1"
#define SYS_MAC_MTD				"/dev/mtd1"
#define MAC_BUF_SIZE				64 * 1024
#define SYS_CAL_MTDBLK        "/dev/mtdblock1"
#define SYS_CAL_MTD				"/dev/mtd1"
#define FW_CAL_BUF_SIZE			0x10000
#define CAL_UPGRADE_ADDR		0xBFC60000

#define SYS_BOOT_MTDBLK			"/dev/mtdblock0"
#define SYS_BOOT_MTD 			"/dev/mtd0"
#define BOOT_BUF_SIZE			0x30000 
#define SYS_BOOT_START_ADDR	0xBFC00000

#define FW_UPGRADE_TIME			70

#ifdef CONFIG_SW5_POWER_DUAL_COLOR_LED
#define	POWER_LED_GPIO1		8
#define	POWER_LED_GPIO2		9
#define	POWER_LED_ON_SEC		2.5
#define	POWER_LED_OFF_SEC		7.5
#endif	// CONFIG_SW5_POWER_DUAL_COLOR_LED

#ifdef CONFIG_SW5_SUPPORT_FW_UPGRADE_LED
#define	FW_LED_GPIO1		8
#define	FW_LED_GPIO2		9
#define	FW_LED_ON_SEC		2.5
#define	FW_LED_OFF_SEC		7.5
#endif	// CONFIG_SW5_SUPPORT_FW_UPGRADE_LED

#ifdef CONFIG_SW5_SUPPORT_RESET_BTN_LED
#define	RESET_LED_GPIO1		8
#define	RESET_LED_GPIO2		9
#define	RESET_LED_ON_SEC		2.5
#define	RESET_LED_OFF_SEC		7.5
#endif	// CONFIG_SW5_SUPPORT_RESET_BTN_LED

#ifdef CONFIG_SW5_SUPPORT_NGR_WPS_LED
#define	WPS_LED_GPIO1			14
#define	WPS_LED_GPIO2			12
#define	WPS_LED_GPIO3			13
#define	WPS_LED_ON_SEC			5
#define	WPS_LED_OFF_SEC		5
#endif	// CONFIG_SW5_SUPPORT_NGR_WPS_LED

#ifdef CONFIG_SW5_SUPPORT_WLAN_STRENGTH_LED
#define	WLAN_LED_GPIO1			12
#define	WLAN_LED_GPIO2			13
#endif	// CONFIG_SW5_SUPPORT_WLAN_STRENGTH_LED

/* for CGI use */
#define 	LANGUAGE_FILE			"/tmp/lang.tgz"
#define 	LANGUAGE_MTDBLK		"/dev/mtdblock3"
#define	POT_MTDBLK				"/dev/mtdblock4"
#define	CHECKSUM_MTDBLK		"/dev/mtdblock5"
#define 	KERNEL_MTDBLK			"/dev/mtdblock6"
#define	FILE_SYS_MTDBLK		"/dev/mtdblock7"

#define 	KERNEL_MTD 				"/dev/mtd6"
#define 	KERNEL_SIZE				0xC0000	// this size must be as same as the seek value in tools/release_image.sh

#define	LANG_EN_DB  			"/etc/lang_en.db"
#define	LANG_NONEN_DB  		"/etc/lang_nonen.db"	
#define	TMP_LANG_NONEN_DB		"/tmp/lang_nonen.db"

#ifdef CONFIG_SW5_POT
#define	DEFAULT_POT_VALUE					0
#define	DEFAULT_POT_MAXVALUE				4320
#define	DEFAULT_POT_RESOLUTION			1
#define	DEFAULT_POT_REPACKTHRESHOLD	30
#endif	// CONFIG_SW5_POT

/* Wireless Setting */	/* no used in RT3052 */
#define AP_SCAN_LIST		"/var/tmp/ap_scan_list"			// httpd/sutil
#define MSG_ERROR_OPEN		"fail to open file"				
#define CIPHER_AUTO			0								// sutil
#define CIPHER_TKIP			1								// sutil
#define CIPHER_AES			2								// sutil
#define WPA_IE_TKIP			"000050f20201"					// sutil
#define WPA_IE_AES			"000050f20401"					// sutil
#define RSN_IE_TKIP			"00000fac0201"					// sutil
#define RSN_IE_AES			"00000fac0401"					// sutil
#define CIPHER_BEGIN_KEYWORD	"="							// sutil
#define BUFFER_LENGTH		4096							// sutil
#define WL_BAND_24G			0								// sutil
#define WL_BAND_5G			1								// sutil
#define ATH_BRIDGE			"br_wds"						// sutil
#define ATH_REPEATER		"rpt_wds"						// sutil


/* NetGear func used : */
#ifdef CONFIG_SW5_NETGEAR_AUTO_UPGRADE
#define	NGR_TMP_FOLDER	"/tmp/"
#define	NGR_TMP_FILEINFO	"/tmp/fileinfo.txt"
#define	NGR_TMP_STRING_TABLE	"/tmp/stringtable.dat"
#define	NGR_XML_STRING_TABLE	"/www/xml/stringtable.xml"
#define NGR_UPGRADE_CONF "/var/tmp/ngr_upgrade.conf"
#define NGR_UPGRADE_STATUS "/var/tmp/ngr_status"

#define	MODEL_NAME "WNCE2001"
#define	MODEL_NAME_LOWER "wnce2001"
#define	TMP_XML_PATH "/tmp/tmp_lang.xml"

//#define	NGR_FTP_UPDATE_SERVER_URL1	"sw5:sw5@172.21.65.13"
//#define	NGR_FTP_UPDATE_SERVER_URL2	"sw5:sw5@172.21.65.13"
//#define	NGR_FTP_UPDATE_SERVER_URL3	"sw5:sw5@172.21.65.13"
//#define	NGR_FTP_UPDATE_SERVER_URL4	"sw5:sw5@172.21.65.13"
#define	NGR_FTP_UPDATE_SERVER_URL1	"updates1.netgear.com"
#define	NGR_FTP_UPDATE_SERVER_URL2	"updates2.netgear.com"
#define	NGR_FTP_UPDATE_SERVER_URL3	"updates3.netgear.com"
#define	NGR_FTP_UPDATE_SERVER_URL4	"updates4.netgear.com"
#endif	// CONFIG_SW5_NETGEAR_AUTO_UPGRADE
